Loading...
Searching...
No Matches
Dune::FloatCmp::DefaultEpsilon< T, style > Struct Template Reference
Common » Numbers » FloatCmp

mapping from a value type and a compare style to a default epsilon More...

`#include <dune/common/float_cmp.hh>`

Inheritance diagram for Dune::FloatCmp::DefaultEpsilon< T, style >:

## Static Public Member Functions

static EpsilonType< T >::Type | value ()
| Returns the default epsilon for the given value type and compare style.

## Detailed Description

template<class T, CmpStyle style = defaultCmpStyle>
struct Dune::FloatCmp::DefaultEpsilon< T, style >

mapping from a value type and a compare style to a default epsilon

Template Parameters

  T | The value type to map from
  style | The compare style to map from

## Member Function Documentation

## value()

template<class T, CmpStyle style = defaultCmpStyle>

EpsilonType< T >::Type Dune::FloatCmp::DefaultEpsilon< T, style >::value | ( |  | ) |

static

Returns the default epsilon for the given value type and compare style.

The documentation for this struct was generated from the following file:

- float_cmp.hh